# syntax = docker/dockerfile:experimental

ARG from_tag

FROM oscarfonts/geoserver:$from_tag

RUN --mount=type=bind,source=geoserver_extensions,target=/geoserver_extensions,rw \
    apt-get update && \
    apt-get install -y \
      gdal-bin \
      libgdal-java && \
    chown -R tomcat:tomcat /geoserver_extensions && \
    for ext in `ls -d /geoserver_extensions/*/`; do \
      su tomcat -c "cp "${ext}"*.jar /usr/local/geoserver/WEB-INF/lib"; \
    done
